Loading...
Searching...
No Matches
gr::uhd::amsg_source Class Reference

`#include <gnuradio/uhd/amsg_source.h>`

## Public Types

typedef std::shared_ptr< amsg_source > | sptr

## Public Member Functions

virtual | ~amsg_source ()
| Destructor.

## Static Public Member Functions

static sptr | make (const ::uhd::device_addr_t &device_addr, msg_queue::sptr msgq)
| Make a new USRP asynchronous message-based source block.
::uhd::async_metadata_t | msg_to_async_metadata_t (const message::sptr msg)

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<amsg_source> gr::uhd::amsg_source::sptr

## Constructor & Destructor Documentation

## ~amsg_source()

virtual gr::uhd::amsg_source::~amsg_source | ( |  | ) |

inline virtual

Destructor.

This must be explicitly defined because there is no block inheritance for this class, and thus no virtual destructor pulled into the class hierarchy for sub-classes.

## Member Function Documentation

## msg_to_async_metadata_t()

::uhd::async_metadata_t gr::uhd::amsg_source::msg_to_async_metadata_t | ( | const message::sptr | msg | ) |

static

Convert a raw asynchronous message to an asynchronous metadata object.

Returns
  The asynchronous metadata object.

The documentation for this class was generated from the following file:

- amsg_source.h